module Controller.Menu.Table.Reevaluate (eventHandler)
    where

import Control.Monad (forM_)
import Controller (Controller,onGridView,onGridModel)
import Controller.Cell (updateInView,showSelectedContent)
import View.Component.Grid (numDataRows,numDataColumns)
import Model.Grid (rewriteCell)

eventHandler :: Controller ()
eventHandler = do
  rows <- onGridView numDataRows
  cols <- onGridView numDataColumns

  forM_ [0..rows-1] $ \r -> forM_ [0..cols-1] $ \c -> 
    do changed <- onGridModel $ rewriteCell (r,c)
       updateInView changed
  showSelectedContent
